using System;
using System.Collections.Generic;
using System.Linq;
using Newtonsoft.Json;

namespace isn
{
    partial class Program
    {
        private static void SourceList(IEnumerable<string> sargs)
        {
            IEnumerable<string> spec = sargs.Count()>0 ? sargs : Settings.Sources.Keys;
            foreach (string arg in spec)
            {
                SourceSettings setting = Settings.Sources[arg];
                Console.WriteLine(JsonConvert.SerializeObject(setting));
            }
        }
    }
}